Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class NumberType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.NumberType

All Implemented Interfaces:
  IDefaultValue, IMetaDataEnabledFeature, ITypeDescriptor, IValidELValues, IValidValues

Direct Known Subclasses:
  DoubleType, IntegerType, LongType

public abstract class NumberType
extends EnumerationType

Abstract meta-data processing type representing a numeric attribute value runtime type

Field Summary
`protected java.lang.String` | `EXCEEDS_MAX`
`protected java.lang.String` | `LESS_THAN_MIN`
`protected boolean` | `maxFound`
`protected boolean` | `minFound`

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
`EMPTY_LIST`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`NumberType()`

Method Summary
`protected java.lang.String` | `getValidMaximumValue()`
`protected java.lang.String` | `getValidMinimumValue()`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.EnumerationType
`addNewValidationMessage, getAssignmentType, getCMPossibleValues, getCMPossibleValuesForDisplay, getCMValidationCode, getCMValidationMessage, getCMValidationSeverity, getCMValidValues, getDefaultValue, getExpectedRuntimeType, getReturnType, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`isValidValue`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### maxFound

    protected boolean maxFound

### minFound

    protected boolean minFound

### EXCEEDS_MAX

    protected java.lang.String EXCEEDS_MAX

### LESS_THAN_MIN

    protected java.lang.String LESS_THAN_MIN

Constructor Detail

### NumberType

    public NumberType()

Method Detail

### getValidMaximumValue

    protected java.lang.String getValidMaximumValue()

  Returns:
    maximum value from property named IValidValues.VALID_VALUES_MAX_PROP_NAME

### getValidMinimumValue

    protected java.lang.String getValidMinimumValue()

  Returns:
    minimum value from property named IValidValues.VALID_VALUES_MIN_PROP_NAME

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD